import '@operato/data-grist';
import '@operato/board/ox-board-template-viewer.js';
import { PageView } from '@operato/shell';
import { FetchOption } from '@operato/data-grist';
declare const BoardTemplateListPage_base: (new (...args: any[]) => {
    _storeUnsubscribe: import("redux").Unsubscribe;
    connectedCallback(): void;
    disconnectedCallback(): void;
    stateChanged(_state: unknown): void;
    readonly isConnected: boolean;
}) & (new (...args: any[]) => import("lit").LitElement) & typeof PageView & import("@open-wc/dedupe-mixin").Constructor<import("@open-wc/scoped-elements/types/src/types").ScopedElementsHost>;
export declare class BoardTemplateListPage extends BoardTemplateListPage_base {
    static styles: import("lit").CSSResult[];
    gristConfig: any;
    visibility: string;
    private grist;
    get context(): {
        title: string;
        search: {
            handler: (search: string) => void;
            value: string;
        };
        filter: {
            handler: () => void;
        };
        board_topmenu: boolean;
        help: string;
    };
    render(): import("lit-html").TemplateResult<1>;
    pageInitialized(lifecycle: any): Promise<void>;
    pageUpdated(changes: any, lifecycle: any): Promise<void>;
    fetchHandler({ page, limit, sortings, filters }: FetchOption): Promise<{
        total: any;
        records: any;
    }>;
}
export {};
